aboutsummaryrefslogtreecommitdiff
path: root/perl/perl-libintl/perl-libintl.SlackBuild
diff options
context:
space:
mode:
authorWilly Sudiarto Raharjo <willysr@slackware-id.org>2013-11-09 09:59:08 +0700
committerRobby Workman <rworkman@slackbuilds.org>2013-11-11 10:53:31 -0600
commit1aaf124ade9fb35020b75593bdbd4927f8ab3ce0 (patch)
tree4f34de83b49e048fb5a863993d4565a0569f5634 /perl/perl-libintl/perl-libintl.SlackBuild
parent93400db0705cc7f278249a1e5c3176cb78020acd (diff)
downloadslackbuilds-1aaf124ade9fb35020b75593bdbd4927f8ab3ce0.tar.xz
perl/perl-libintl: Updated for version 1.23.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackware-id.org> Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl/perl-libintl/perl-libintl.SlackBuild')
-rw-r--r--perl/perl-libintl/perl-libintl.SlackBuild14
1 files changed, 6 insertions, 8 deletions
diff --git a/perl/perl-libintl/perl-libintl.SlackBuild b/perl/perl-libintl/perl-libintl.SlackBuild
index a0c82471ac25..4b8bdc747ab3 100644
--- a/perl/perl-libintl/perl-libintl.SlackBuild
+++ b/perl/perl-libintl/perl-libintl.SlackBuild
@@ -5,16 +5,14 @@
# Written by Luis Henrique <lmello.009@gmail.com>
PRGNAM=perl-libintl
-VERSION=${VERSION:-1.16}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.23}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -38,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -47,11 +45,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/libintl-perl-$VERSION.tar.gz
cd libintl-perl-$VERSION
chown -R root:root .
-find . \
+find -L . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
perl Makefile.PL \
INSTALLDIRS=vendor \